/usr/include/inttypes.h:269:8: error: unknown type name 'uintmax_t'; did you mean 'uintptr_t'?
Closed, ResolvedPublic

Description

I have downloded gnupg 2.0.30
I have all the dependencies alraedy installed

libgpg-error (ftp://ftp.gnupg.org/gcrypt/libgpg-error/)
libgcrypt (ftp://ftp.gnupg.org/gcrypt/libgcrypt/)
libksba (ftp://ftp.gnupg.org/gcrypt/libksba/)
libassuan >= 2.0 (ftp://ftp.gnupg.org/gcrypt/libassuan/)

When I do a ./configure in gnupg-2.0.30 .
I get the following error:

/usr/include/inttypes.h:269:8: error: unknown type name 'uintmax_t'; did you mean 'uintptr_t'?

werner added a subscriber: werner.

What is your operating system?

Please give a bit more context for the error message. What commands did you run and where did this error message appear. At least 5 lines before and after are required to triage your report.

justus triaged this task as Low priority.Jun 27 2017, 10:56 AM
werner closed this task as Resolved.Oct 20 2017, 1:32 PM
werner claimed this task.

No info received, similar to another fixed bug, and for 2.0 which will soon reach EOL.